summaryrefslogtreecommitdiff
path: root/tests/ls/recursive
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ls/recursive')
-rwxr-xr-xtests/ls/recursive4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/ls/recursive b/tests/ls/recursive
index 31e3fe104..c4a27256c 100755
--- a/tests/ls/recursive
+++ b/tests/ls/recursive
@@ -2,7 +2,7 @@
# 4.1.1 and 4.1.2 had a bug whereby some recursive listings
# didn't include a blank line between per-directory groups of files.
-# Copyright (C) 2001, 2002, 2004 Free Software Foundation, Inc.
+# Copyright (C) 2001, 2002, 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -28,7 +28,7 @@ fi
pwd=`pwd`
tmp=recursive.$$
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0